Why I receive Error: No matching repo to modify: automation-hub-4.2-for-rhel-8-x86_64-rpms during the Automation Hub installation?

Solution Verified - Updated -

Issue

You receive the error during Automation Hub setup "No matching repo to modify: automation-hub-4.2-for-rhel-8-x86_64-rpms.":

TASK [automationhub : Enable Automation Hub repository] ************************
fatal: [automationhub.example.com]: FAILED! => {"changed": true, "cmd": ["yum-config-manager", "--enable", "automation-hub-4.2-for-rhel-8-x86_64-rpms"], "delta": "MASKED", "end": "MASKED", "msg": "non-zero return code", "rc": 1, "start": "MASKED", "stderr": "Error: No matching repo to modify: automation-hub-4.2-for-rhel-8-x86_64-rpms.", "stderr_lines": ["Error: No matching repo to modify: automation-hub-4.2-for-rhel-8-x86_64-rpms."], "stdout": "Updating Subscription Management repositories.", "stdout_lines": ["Updating Subscription Management repositories."]}

Environment

Automation Hub - Using online Installer

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In